#
# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module
#
%define 	module	fuse
Summary:	Python interface to FUSE (Filesystem in USErspace)
Summary(pl.UTF-8):	Pythonowy interfejs do FUSE (systemu plików w przestrzeni użytkownika)
Name:		python-%{module}
Version:	1.0.7
Release:	2
License:	LGPL v2.1
Group:		Development/Languages/Python
# TODO: use named tarballs
#Source0:	https://github.com/libfuse/python-fuse/archive/v%{version}/%{name}-%{version}.tar.gz
Source0:	https://github.com/libfuse/python-fuse/archive/refs/tags/v%{version}.tar.gz
# Source0-md5:	e463d5fb1ff20df2478cba670eaf56da
URL:		https://github.com/libfuse/python-fuse
BuildRequires:	libfuse-devel >= 2.1
BuildRequires:	pkgconfig
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python interface to FUSE (Filesystem in USErspace).

%description -l pl.UTF-8
Pythonowy interfejs do FUSE (Filesystem in USErspace - systemu plików
w przestrzeni użytkownika).

%package -n python3-%{module}
Summary:	Python interface to FUSE (Filesystem in USErspace)
Summary(pl.UTF-8):	Pythonowy interfejs do FUSE (systemu plików w przestrzeni użytkownika)
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.5

%description -n python3-%{module}
Python interface to FUSE (Filesystem in USErspace).

%description -n python3-%{module} -l pl.UTF-8
Pythonowy interfejs do FUSE (Filesystem in USErspace - systemu plików
w przestrzeni użytkownika).

%prep
%setup -q

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version} -name '*.py' \
        | xargs sed -i '1s|^#!.*python\b|#!%{__python}|'
%endif

%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
        | xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS FAQ README*
%{py_sitedir}/fuse.py[co]
%dir %{py_sitedir}/fuseparts
%{py_sitedir}/fuseparts/*.py[co]
%attr(755,root,root) %{py_sitedir}/fuseparts/*.so
%{py_sitedir}/fuse_python-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS FAQ README*
%{py3_sitedir}/fuse.py
%{py3_sitedir}/__pycache__/fuse.cpython-*.py[co]
%dir %{py3_sitedir}/fuseparts
%{py3_sitedir}/fuseparts/*.py
%attr(755,root,root) %{py3_sitedir}/fuseparts/*.so
%{py3_sitedir}/fuseparts/__pycache__
%{py3_sitedir}/fuse_python-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%endif
%changelog
* Fri Mar 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-fuse.git;a=log;h=master

* Fri Mar 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 28113d3
- fixed dirs ownership, updated dependencies; release 2

* Mon Feb 26 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e07ebf
- Add python3 package

* Mon Feb 26 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> a6aad7c
- Up to 1.0.7

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 2490bb5
- rebuild with separate debuginfo build-ids

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> cccc0c4
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6ac42cb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> acbab96
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1fdbc2f
- automatic change: use py_build/py_install macros

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 955bbdb
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 18 2013 Jakub Bogusz <qboosh@pld-linux.org> db9230c
- License is LGPL

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 01aed78
- BR pkgconfig: pkg-config unavailable, build terminated

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> f266ade
- up to 0.2.1

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 3626033
- it's so hard to cleanup unused macros?

* Sat Sep 01 2012 witekfl <witekfl@poczta.onet.pl> 8c53c5d
- 0.2
- the url changed

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fdbaaf
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 327a1b4
- release 3

* Sun Jan 06 2008 Elan Ruusamäe <glen@pld-linux.org> 366406e
- not noarch, fix deps and packaging; rel 2

* Sun Mar 04 2007 beorn <beorn@pld-linux.org> a00a494
- Added an example file

* Sat Mar 03 2007 beorn <beorn@pld-linux.org> e75d58e
- Switched to py_postclean macro
- Fixed module directory

* Sun Feb 25 2007 wolf <wolf@pld-linux.org> 07397e0
- 20070119

